## ansible 11.2.0+dfsg

=== ansible_collections/cisco/ise/Makefile ===
NAMESPACE := $(shell python -c 'import yaml; print(yaml.safe_load(open("galaxy.yml"))["namespace"])')
NAME := $(shell python -c 'import yaml; print(yaml.safe_load(open("galaxy.yml"))["name"])')
VERSION := $(shell python -c 'import yaml; print(yaml.safe_load(open("galaxy.yml"))["version"])')
MANIFEST := build/collections/ansible_collections/$(NAMESPACE)/$(NAME)/MANIFEST.json

ROLES := $(wildcard roles/*)
PLUGIN_TYPES := $(filter-out __%,$(notdir $(wildcard plugins/*)))
METADATA := galaxy.yml LICENSE README.md meta/runtime.yml requirements.txt changelogs/changelog.yaml
$(foreach PLUGIN_TYPE,$(PLUGIN_TYPES),$(eval _$(PLUGIN_TYPE) := $(filter-out %__init__.py,$(wildcard plugins/$(PLUGIN_TYPE)/*.py))))
DEPENDENCIES := $(METADATA) $(foreach PLUGIN_TYPE,$(PLUGIN_TYPES),$(_$(PLUGIN_TYPE))) $(foreach ROLE,$(ROLES),$(wildcard $(ROLE)/*/*)) $(foreach ROLE,$(ROLES),$(ROLE)/README.md)

COLLECTION_COMMAND ?= ansible-galaxy
TEST =
FLAGS =


default: help
help:
	@echo "Please use \`make <target>' where <target> is one of:"
	@echo "  help             to show this message"
	@echo "  info             to show infos about the collection"
	@echo "  sanity           to run santy tests"
	@echo "  setup            to set up test, lint"

setup: test-setup

test-setup: | tests/test_playbooks/vars/server.yml
	pip install --upgrade 'pip<20'
	pip install --upgrade -r requirements-dev.txt

tests/test_playbooks/vars/server.yml:
	cp $@.example $@
	@echo "For recording, please adjust $@ to match your reference server."

$(MANIFEST):
	ansible-galaxy collection build --force
	ansible-galaxy collection install cisco-ise-* --force

build/src/%: %
	install -m 644 -DT $< $@

doc-setup:
	pip install --upgrade -r docs/requirements.txt
doc: $(MANIFEST)
	mkdir -p ./docs/plugins
	mkdir -p ./docs/roles
	cat ./docs/roles.rst.template > ./docs/roles/index.rst
	for role_readme in roles/*/README.md; do \
		ln -f -s ../../$$role_readme ./docs/roles/$$(basename $$(dirname $$role_readme)).md; \
		echo " * :doc:\`$$(basename $$(dirname $$role_readme))\`" >> ./docs/roles/index.rst; \
	done
	antsibull-docs collection --use-current --squash-hierarchy --dest-dir ./docs/plugins $(NAMESPACE).$(NAME)
	make -C docs html


FORCE:

.PHONY: help dist lint sanity test test-crud test-check-mode test-other livetest setup test-setup doc-setup doc publish FORCE

=== ansible_collections/community/vmware/requirements.txt ===
pyVmomi>=8.0.3.0.1
vmware-vcenter
vmware-vapi-common-client

=== ansible_collections/dellemc/powerflex/requirements.txt ===
PyPowerFlex

=== ansible_collections/kubernetes/core/Makefile ===
# Also needs to be updated in galaxy.yml
VERSION = 5.1.0

TEST_ARGS ?= ""
PYTHON_VERSION ?= `python -c 'import platform; print(".".join(platform.python_version_tuple()[0:2]))'`

clean:
	rm -f kubernetes-core-${VERSION}.tar.gz
	rm -rf ansible_collections
	rm -rf tests/output

build: clean
	ansible-galaxy collection build

release: build
	ansible-galaxy collection publish kubernetes-core-${VERSION}.tar.gz

install: build
	ansible-galaxy collection install -p ansible_collections kubernetes-core-${VERSION}.tar.gz

test-sanity:
	ansible-test sanity --docker -v --color --python $(PYTHON_VERSION) $(?TEST_ARGS)

test-integration:
	ansible-test integration --diff --no-temp-workdir --color --skip-tags False --retry-on-error --continue-on-error --python $(PYTHON_VERSION) -v --coverage $(?TEST_ARGS)

test-unit:
	ansible-test units --docker -v --color --python $(PYTHON_VERSION) $(?TEST_ARGS)

=== ansible_collections/purestorage/flasharray/requirements.txt ===
distro
purestorage
py-pure-client
python >= 3.6
netaddr >= 1.2.0
requests
pycountry
pytz
urllib3

=== ansible_collections/community/grafana/hacking/requirements.txt ===
requests==2.32.0

=== ansible_collections/infoblox/nios_modules/tests/requirements.txt ===
infoblox-client
pytest
pytest-xdist
mock
pytest-mock
pytest-cov==2.8.0
coverage==7.3.2
pygobject
launchpadlib

=== ansible_collections/community/crypto/tests/unit/requirements.txt ===
# Copyright (c) Ansible Project
# GNU General Public License v3.0+ (see LICENSES/GPL-3.0-or-later.txt or https://www.gnu.org/licenses/gpl-3.0.txt)
# SPDX-License-Identifier: GPL-3.0-or-later

bcrypt
cryptography
idna
ipaddress ; python_version < '3.0'

freezegun == 0.3.10 ; python_version < '2.7'
freezegun ; python_version >= '2.7'
unittest2 ; python_version < '2.7'
importlib ; python_version < '2.7'

=== ansible_collections/infoblox/nios_modules/tests/unit/requirements.txt ===
infoblox-client
pytest
pytest-forked
pytest-xdist
mock
pytest-mock
pytest-cov
coverage==7.3.2

=== ansible_collections/vmware/vmware_rest/tests/integration/requirements.txt ===
aiohttp
pyVim
podman
requests
pycdlib
ansible-core

pyVmomi>=6.7
# automation sdk >tag:8.0.2.0 requires pyVmomi 8
git+https://github.com/vmware/vsphere-automation-sdk-python.git@v8.0.2.0

=== debian/changelog ===
ansible (11.2.0+dfsg-1) unstable; urgency=medium

  * New upstream version 11.2.0+dfsg
  * Drop d/patches/community-mongodb-py313.patch (applied upstream)

 -- Lee Garrett <debian@rocketjump.eu>  Sat, 08 Feb 2025 05:39:09 +0100

=== debian/control ===
Source: ansible
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Lee Garrett <debian@rocketjump.eu>
Section: admin
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python,
               pybuild-plugin-pyproject,
               python3,
               python3-docutils,
               python3-jinja2,
               python3-packaging,
               python3-passlib,
               python3-setuptools,
               python3-straight.plugin,
               python3-yaml,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/python-team/packages/ansible
Vcs-Git: https://salsa.debian.org/python-team/packages/ansible.git
Homepage: https://www.ansible.com

Package: ansible
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         ansible-core (>= 2.17.5),
         openssh-client | python3-paramiko (>= 2.6.0),
         python3-dnspython,
         python3-httplib2,
         python3-jinja2,
         python3-netaddr (>= 0.10.1-1~),
         python3-yaml
Recommends: python3-argcomplete,
            python3-cryptography,
            python3-jmespath,
            python3-kerberos,
            python3-libcloud,
            python3-selinux,
            python3-winrm,
            python3-xmltodict
Suggests: cowsay,
          sshpass
Breaks: ansible-base (<= 2.10.5+dfsg-2)
Replaces: ansible-base (<= 2.10.5+dfsg-2)
Description: Configuration management, deployment, and task execution system
 Ansible is a radically simple model-driven configuration management,
 multi-node deployment, and remote task execution system. Ansible works
 over SSH and does not require any software or daemons to be installed
 on remote nodes. Extension modules can be written in any language and
 are transferred to managed machines automatically.
 .
 This package contains the ansible collections.

=== debian/watch ===
version=4
opts=dversionmangle=s/\+dfsg//,repacksuffix=+dfsg,pgpmode=auto \
https://pypi.debian.net/ansible/ ansible-([0-9]+\.[0-9]+\.[0-9]+).tar.gz

## ansible 12.0.0~a1+dfsg

=== debian/changelog ===
ansible (12.0.0~a1+dfsg-1) unstable; urgency=medium

  * New upstream version 12.0.0a1+dfsg
  * Update to new major version that supports ansible-core 2.19
  * Update watch file to include alpha (a) and release candidate (rc) releases
  * autopkgtests: Update flaky list
  * Update d/copyright
  * Remove sensu_go lintian override (collection was removed)
  * Bump Standards-Version (no changes needed)
  * Remove unused lintian overrides
  * Silence lintian warnings of deprecated python stdlib
  * Update list of failing unit tests
  * Don't run flaky tests on CI

 -- Lee Garrett <debian@rocketjump.eu>  Thu, 17 Apr 2025 15:36:25 +0200

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
                python3-straight.plugin,
                python3-yaml,
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/python-team/packages/ansible
 Vcs-Git: https://salsa.debian.org/python-team/packages/ansible.git
 Homepage: https://www.ansible.com

=== debian/watch ===
version=4
opts=dversionmangle=s/\+dfsg//,repacksuffix=+dfsg,pgpmode=auto \
https://pypi.debian.net/ansible/ ansible-([0-9]+\.[0-9]+\.[0-9arc]+).tar.gz

## ansible 12.0.0~a2+dfsg

=== debian/changelog ===
ansible (12.0.0~a2+dfsg-1) unstable; urgency=medium

  * The "greetings from Mini-Debconf Hamburg" release.
  * New upstream version 12.0.0~a2+dfsg.
  * Update debian/watch to properly mangle beta/rc release numbers.
  * d/copyright: Remove node modules from broken grafana collection.

 -- Lee Garrett <debian@rocketjump.eu>  Thu, 01 May 2025 22:23:45 +0200

## ansible 12.0.0~a4+dfsg

=== ansible_collections/vmware/vmware/tests/unit/requirements.txt ===
requests
pyVim
pyVmomi>=8.0.3.0.1
vmware-vcenter
vmware-vapi-common-client
aiohttp

=== debian/changelog ===
ansible (12.0.0~a4+dfsg-1) unstable; urgency=medium

  * New upstream version 12.0.0~a4+dfsg
  * debian/control: Update Homepage field
  * Drop community-grafana-py312.patch (applied upstream)
  * Disable community.crypto test (needs upstream fix)

 -- Lee Garrett <debian@rocketjump.eu>  Tue, 13 May 2025 16:36:23 +0200

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
 Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/python-team/packages/ansible
 Vcs-Git: https://salsa.debian.org/python-team/packages/ansible.git
-Homepage: https://www.ansible.com
+Homepage: https://github.com/ansible-community/ansible-build-data/
 
 Package: ansible
 Architecture: all

## ansible 12.0.0~a6+dfsg

=== ansible_collections/azure/azcollection/requirements.txt ===
packaging
requests[security]
xmltodict
msgraph-sdk==1.6.0
azure-cli-core==2.64.0
azure-common==1.1.28
azure-identity==1.19.0
azure-mgmt-authorization==4.0.0
azure-mgmt-apimanagement==4.0.1
azure-mgmt-batch==17.3.0
azure-mgmt-compute==33.0.0
azure-mgmt-cdn==13.1.1
azure-mgmt-containerinstance==10.1.0
azure-mgmt-core==1.4.0
azure-mgmt-containerregistry==10.3.0
azure-containerregistry==1.2.0
azure-mgmt-containerservice==32.1.0
azure-mgmt-datafactory==9.0.0
azure-mgmt-dns==8.1.0
azure-mgmt-marketplaceordering==1.2.0b2
azure-mgmt-monitor==6.0.2
azure-mgmt-managedservices==7.0.0b2
azure-mgmt-managementgroups==1.1.0b2
azure-mgmt-network==28.0.0
azure-mgmt-nspkg==3.0.2
azure-mgmt-privatedns==1.1.0
azure-mgmt-redis==14.4.0
azure-mgmt-resource==23.2.0
azure-mgmt-rdbms==10.2.0b17
azure-mgmt-mysqlflexibleservers==1.0.0b3
azure-mgmt-postgresqlflexibleservers==1.1.0
azure-mgmt-search==9.2.0b2
azure-mgmt-servicebus==8.2.1
azure-mgmt-sql==4.0.0b19
azure-mgmt-storage==21.2.1
azure-mgmt-trafficmanager==1.1.0
azure-mgmt-web==7.3.1
azure-nspkg==3.0.2
azure-storage-blob==12.23.0b1
azure-core==1.31.0
azure-keyvault==4.2.0
azure-mgmt-keyvault==10.3.1
azure-mgmt-cosmosdb==10.0.0b3
azure-mgmt-hdinsight==9.1.0b1
azure-mgmt-devtestlabs==10.0.0b2
azure-mgmt-loganalytics==13.0.0b7
azure-mgmt-automation==1.1.0b4
azure-mgmt-iothub==3.0.0
azure-iot-hub==2.6.1;platform_machine=="x86_64"
azure-mgmt-recoveryservices==3.0.0
azure-mgmt-recoveryservicesbackup==9.1.0
azure-mgmt-notificationhubs==8.1.0b1
azure-mgmt-eventhub==11.1.0
azure-mgmt-resourcehealth==1.0.0b6
oras
netaddr

=== ansible_collections/hetzner/hcloud/Makefile ===
SHELL := bash
.PHONY: vendor clean dev

dev:
	cat tests/integration/cloud-config-hcloud.ini.in | envsubst > tests/integration/cloud-config-hcloud.ini

vendor:
	python3 scripts/vendor.py

vendor-check:
	python3 scripts/vendor.py --check

venv:
	python3 -m venv venv
	venv/bin/pip install -r requirements.txt -r requirements-dev.txt

lint: venv
	venv/bin/pylint plugins

lint-docs: venv
	venv/bin/antsibull-docs lint-collection-docs \
		--plugin-docs \
		--validate-collection-refs self \
		.

clean:
	git clean -xdf

sanity:
	ansible-test sanity --color --truncate 0 -v \
		--exclude plugins/module_utils/vendor/ \
		--exclude scripts/ \
		--exclude tests/utils/ \
		--docker default \
		--allow-disabled

units:
	ansible-test units --color --truncate 0 -v \
		--docker default

integration:
	ansible-test integration --color --truncate 0 -v \
		--docker default \
		--allow-disabled

=== ansible_collections/vyos/vyos/requirements.txt ===
ansible-pylibssh
paramiko
scp

=== ansible_collections/cisco/aci/tests/sanity/requirements.txt ===
packaging  # needed for update-bundled and changelog
sphinx ; python_version >= '3.5' # docs build requires python 3+
sphinx-notfound-page ; python_version >= '3.5' # docs build requires python 3+
straight.plugin ; python_version >= '3.5' # needed for hacking/build-ansible.py which will host changelog generation and requires python 3+

=== ansible_collections/community/general/tests/unit/requirements.txt ===
# Copyright (c) Ansible Project
# GNU General Public License v3.0+ (see LICENSES/GPL-3.0-or-later.txt or https://www.gnu.org/licenses/gpl-3.0.txt)
# SPDX-License-Identifier: GPL-3.0-or-later

unittest2 ; python_version < '2.7'
importlib ; python_version < '2.7'

# requirement for the memcached cache plugin
python-memcached < 1.60 ; python_version < '3.6'
python-memcached ; python_version >= '3.6'

# requirement for the redis cache plugin
redis
async-timeout ; python_version == '3.11'

# requirement for the linode module
linode-python  # APIv3
linode_api4 ; python_version > '2.6'  # APIv4

# requirement for the gitlab and github modules
python-gitlab
PyGithub
httmock

# requirement for maven_artifact module
lxml < 4.3.0 ; python_version < '2.7' # lxml 4.3.0 and later require python 2.7 or later
lxml ; python_version >= '2.7'
semantic_version

# requirement for datadog_downtime module
datadog-api-client >= 1.0.0b3 ; python_version >= '3.6'

# requirement for dnsimple module
dnsimple >= 2 ; python_version >= '3.6'
dataclasses ; python_version == '3.6'

# requirement for the opentelemetry callback plugin
# WARNING: these libraries rely on Protobuf for Python, which regularly stops installing.
#          That's why they are disabled for now.
# opentelemetry-api ; python_version >= '3.6' and python_version < '3.10'
# opentelemetry-exporter-otlp ; python_version >= '3.6' and python_version < '3.10'
# opentelemetry-sdk ; python_version >= '3.6' and python_version < '3.10'

# requirement for the elastic callback plugin
elastic-apm ; python_version >= '3.6'

# requirements for scaleway modules
passlib[argon2]

# requirements for the proxmox modules
proxmoxer < 2.0.0 ; python_version >= '2.7' and python_version <= '3.6'
proxmoxer ; python_version > '3.6'

# requirements for the proxmox_pct_remote connection plugin
paramiko >= 3.0.0 ; python_version >= '3.6'

#requirements for nomad_token modules
python-nomad < 2.0.0 ; python_version <= '3.6'
python-nomad >= 2.0.0 ; python_version >= '3.7'

# requirement for jenkins_build, jenkins_node, jenkins_plugin modules
python-jenkins >= 0.4.12

# requirement for json_patch, json_patch_recipe and json_patch plugins
jsonpatch

=== ansible_collections/community/hashi_vault/docs/preview/requirements.txt ===
# Copyright (c) Ansible Project
# GNU General Public License v3.0+ (see LICENSES/GPL-3.0-or-later.txt or https://www.gnu.org/licenses/gpl-3.0.txt)
# SPDX-License-Identifier: GPL-3.0-or-later

antsibull-docs >= 1.0.0, < 2.0.0
ansible-pygments
sphinx != 5.2.0.post0  # temporary, see https://github.com/ansible-community/antsibull-docs/issues/39, https://github.com/ansible-community/antsibull-docs/issues/40
sphinx-ansible-theme >= 0.9.0

=== ansible_collections/community/routeros/tests/unit/requirements.txt ===
# Copyright (c) Ansible Project
# GNU General Public License v3.0+ (see LICENSES/GPL-3.0-or-later.txt or https://www.gnu.org/licenses/gpl-3.0.txt)
# SPDX-License-Identifier: GPL-3.0-or-later

unittest2 ; python_version <= '2.6'
ordereddict ; python_version <= '2.6'

=== debian/changelog ===
ansible (12.0.0~a6+dfsg-1) unstable; urgency=medium

  * New upstream version 12.0.0~a6+dfsg
  * Drop 0002-fix-libvirt-encoding-errors-on-windows-guests.patch (applied
    upstream)
  * d/copyright: Remove file exclusion (fixed upstream)
  * d/control: Remove Breaks/Replaces on ansible-base
  * d/control: Bump ansible-core version dependency
  * Update lintian overrides
  * autopkgtests: Add proxmox to the flaky list

 -- Lee Garrett <debian@rocketjump.eu>  Fri, 13 Jun 2025 16:15:07 +0200

=== debian/watch ===
version=4
opts="\
  dversionmangle=s/\+dfsg//,\
  repacksuffix=+dfsg,\
  pgpmode=auto,\
  uversionmangle=s/((?:a|rc)[0-9]+)$/~$1/,\
" \
https://pypi.debian.net/ansible/ ansible-([0-9]+\.[0-9]+\.[0-9]+(?:(?:a|rc)[0-9]+)?).tar.gz

## ansible 12.0.0~b1+dfsg

=== ansible_collections/arista/eos/requirements.txt ===
ansible-pylibssh
paramiko

=== ansible_collections/azure/azcollection/requirements.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 requests[security]
 xmltodict
 msgraph-sdk==1.6.0
-azure-cli-core==2.64.0
+azure-cli-core==2.74.0
 azure-common==1.1.28
 azure-identity==1.19.0
 azure-mgmt-authorization==4.0.0
@@ -39,6 +39,7 @@
 azure-storage-blob==12.23.0b1
 azure-core==1.31.0
 azure-keyvault==4.2.0
+azure-keyvault-securitydomain==1.0.0b1
 azure-mgmt-keyvault==10.3.1
 azure-mgmt-cosmosdb==10.0.0b3
 azure-mgmt-hdinsight==9.1.0b1

=== ansible_collections/cisco/nxos/requirements.txt ===
paramiko
scp

=== ansible_collections/kubernetes/core/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # Also needs to be updated in galaxy.yml
-VERSION = 5.1.0
+VERSION = 6.0.0
 
 TEST_ARGS ?= ""
 PYTHON_VERSION ?= `python -c 'import platform; print(".".join(platform.python_version_tuple()[0:2]))'`

=== ansible_collections/ansible/utils/tests/unit/requirements.txt ===
jsonschema
netaddr
textfsm
ttp
unittest2 ; python_version < '2.7'

=== ansible_collections/community/crypto/tests/unit/requirements.txt ===
# Copyright (c) Ansible Project
# GNU General Public License v3.0+ (see LICENSES/GPL-3.0-or-later.txt or https://www.gnu.org/licenses/gpl-3.0.txt)
# SPDX-License-Identifier: GPL-3.0-or-later

bcrypt
cryptography
freezegun
idna

=== ansible_collections/community/dns/tests/unit/requirements.txt ===
# Copyright (c) Ansible Project
# GNU General Public License v3.0+ (see LICENSES/GPL-3.0-or-later.txt or https://www.gnu.org/licenses/gpl-3.0.txt)
# SPDX-License-Identifier: GPL-3.0-or-later

unittest2 ; python_version < '2.7'
importlib ; python_version < '2.7'

ipaddress ; python_version < '3.3'

dnspython

lxml < 4.3.0 ; python_version < '2.7' # lxml 4.3.0 and later require python 2.7 or later
lxml ; python_version >= '2.7'

=== ansible_collections/community/general/tests/unit/requirements.txt ===
--- 
+++ 
@@ -47,13 +47,6 @@
 # requirements for scaleway modules
 passlib[argon2]
 
-# requirements for the proxmox modules
-proxmoxer < 2.0.0 ; python_version >= '2.7' and python_version <= '3.6'
-proxmoxer ; python_version > '3.6'
-
-# requirements for the proxmox_pct_remote connection plugin
-paramiko >= 3.0.0 ; python_version >= '3.6'
-
 #requirements for nomad_token modules
 python-nomad < 2.0.0 ; python_version <= '3.6'
 python-nomad >= 2.0.0 ; python_version >= '3.7'
@@ -63,3 +56,6 @@
 
 # requirement for json_patch, json_patch_recipe and json_patch plugins
 jsonpatch
+
+# requirements for the wsl connection plugin
+paramiko >= 3.0.0 ; python_version >= '3.6'

=== ansible_collections/community/hashi_vault/tests/integration/requirements.txt ===
hvac
urllib3
azure-identity
psycopg[binary,pool]

=== ansible_collections/community/library_inventory_filtering_v1/tests/unit/requirements.txt ===
# Copyright (c) Ansible Project
# GNU General Public License v3.0+ (see LICENSES/GPL-3.0-or-later.txt or https://www.gnu.org/licenses/gpl-3.0.txt)
# SPDX-License-Identifier: GPL-3.0-or-later

unittest2 ; python_version < '2.7'
importlib ; python_version < '2.7'

=== ansible_collections/netapp/ontap/tests/unit/requirements.txt ===
ipaddress ; python_version >= '2.7'
isodate ; python_version >= '3.9'
requests ; python_version >= '2.7'
six ; python_version >= '3.9'
solidfire-sdk-python ; python_version >= '3.9'
xmltodict ; python_version >= '3.9'
deepdiff ; python_version >= '3.9'
jmespath ; python_version >= '3.9'

=== ansible_collections/vmware/vmware/tests/integration/requirements.txt ===
ansible-core==2.19.0b5

git+https://github.com/vmware/vsphere-automation-sdk-python.git@v8.0.2.0
podman
requests

# pyvmomi 9 deprecated a json encoder, and tests use community.vmware which still has not released a fix yet
pyVmomi<9.0.0.0.0

=== debian/changelog ===
ansible (12.0.0~b1+dfsg-1) unstable; urgency=medium

  * New upstream version 12.0.0~b1+dfsg
    - many collections have been updated to not emit deprecation warnings when
      used with ansible-core 2.19.0.
  * Drop community hashi-vault patches (applied upstream)
  * Add 12 previously failing collection CI tests to autopkgtest
  * Update debian/watch to also catch beta releases.

 -- Lee Garrett <debian@rocketjump.eu>  Wed, 23 Jul 2025 14:42:08 +0200

=== debian/tests/control ===
Tests: unit-tests-stable.py
Depends: @,
         git,
         python3-azure,
         python3-bcrypt,
         python3-boto3,
         python3-cryptography,
         python3-dateutil,
         python3-flake8,
         python3-freezegun,
         python3-gitlab,
         python3-google-auth,
         python3-httmock,
         python3-hvac,
         python3-jsonschema,
         python3-kubernetes,
         python3-lxml,
         python3-mock,
         python3-msrestazure,
         python3-openssl,
         python3-paramiko,
         python3-passlib,
         python3-proxmoxer,
         python3-pytest-forked,
         python3-pytest-mock,
         python3-pytest-xdist,
         python3-pyvmomi,
         python3-redis,
         python3-textfsm,
         python3-xmltodict,
         yamllint

# failing tests due to missing packages or other reasons
Tests: unit-tests-flaky.py
Depends: @,
         git,
         python3-azure,
         python3-bcrypt,
         python3-boto3,
         python3-cryptography,
         python3-dateutil,
         python3-flake8,
         python3-freezegun,
         python3-gitlab,
         python3-google-auth,
         python3-httmock,
         python3-hvac,
         python3-jsonschema,
         python3-kubernetes,
         python3-lxml,
         python3-mock,
         python3-msrestazure,
         python3-openssl,
         python3-paramiko,
         python3-proxmoxer,
         python3-pytest-forked,
         python3-pytest-mock,
         python3-pytest-xdist,
         python3-pyvmomi,
         python3-redis,
         python3-textfsm,
         python3-xmltodict,
         yamllint
Restrictions:
  flaky,
  # don't run broken tests on CI
  disabled-on-ci,

## ansible 12.0.0~b2+dfsg

=== debian/changelog ===
ansible (12.0.0~b2+dfsg-1) unstable; urgency=medium

  * New upstream version 12.0.0~b2+dfsg

 -- Lee Garrett <debian@rocketjump.eu>  Sun, 03 Aug 2025 17:54:22 +0200

## ansible 12.0.0~b3+dfsg

=== debian/changelog ===
ansible (12.0.0~b3+dfsg-1) unstable; urgency=medium

  * New upstream version 12.0.0~b3+dfsg

 -- Lee Garrett <debian@rocketjump.eu>  Wed, 13 Aug 2025 18:46:06 +0200

## ansible 12.0.0~b5%2Bdfsg

=== ansible_collections/community/sap_libs/tests/unit/requirements.txt ===
unittest2 ; python_version < '2.7'
importlib ; python_version < '2.7'

# requirement sap_task_list_execute
lxml < 4.3.0 ; python_version < '2.7' # lxml 4.3.0 and later require python 2.7 or later
lxml ; python_version >= '2.7'
argparse ; python_version >= '2.6'

## ansible 12.0.0~b5+dfsg

=== ansible_collections/community/okd/Makefile ===
.PHONY: molecule

# Also needs to be updated in galaxy.yml
VERSION = 5.0.0

SANITY_TEST_ARGS ?= --docker --color
UNITS_TEST_ARGS ?= --docker --color
PYTHON_VERSION ?= `python3 -c 'import platform; print("{0}.{1}".format(platform.python_version_tuple()[0], platform.python_version_tuple()[1]))'`

clean:
	rm -f community-okd-$(VERSION).tar.gz
	rm -f redhat-openshift-$(VERSION).tar.gz
	rm -rf ansible_collections

build: clean
	ansible-galaxy collection build

install: build
	ansible-galaxy collection install --force -p ansible_collections community-okd-$(VERSION).tar.gz

sanity: install
	cd ansible_collections/community/okd && ansible-test sanity -v --python $(PYTHON_VERSION) $(SANITY_TEST_ARGS)

units: install
	cd ansible_collections/community/okd && ansible-test units -v --python $(PYTHON_VERSION) $(UNITS_TEST_ARGS)

molecule: install
	molecule test

test-integration: upstream-test-integration downstream-test-integration

test-sanity: upstream-test-sanity downstream-test-sanity

test-units: upstream-test-units downstream-test-units

test-integration-incluster:
	./ci/incluster_integration.sh

upstream-test-sanity: sanity

upstream-test-units: units

upstream-test-integration: molecule

downstream-test-sanity:
	./ci/downstream.sh -s

downstream-test-units:
	./ci/downstream.sh -u

downstream-test-integration:
	./ci/downstream.sh -i

downstream-build:
	./ci/downstream.sh -b

=== ansible_collections/dellemc/enterprise_sonic/requirements.txt ===
paramiko>=2.7
jinja2>=2.8

=== ansible_collections/purestorage/flasharray/requirements.txt ===
distro
purestorage
py-pure-client >= 1.57.0
python >= 3.6
netaddr >= 1.2.0
requests
pycountry
pytz
urllib3

=== ansible_collections/vmware/vmware/requirements.txt ===
pyVmomi>=8.0.3.0.1
vmware-vcenter
vmware-vapi-common-client
aiohttp

=== ansible_collections/vmware/vmware_rest/Makefile ===
# setup commands
.PHONY: upgrade-collections
upgrade-collections:
	ansible-galaxy collection install --upgrade -p ~/.ansible/collections .

.PHONY: install-collection-python-reqs
install-collection-python-reqs:
	pip install -r requirements.txt

.PHONY: install-integration-reqs
install-integration-reqs: install-collection-python-reqs
	pip install -r tests/integration/requirements.txt; \
	ansible-galaxy collection install --upgrade -p ~/.ansible/collections -r tests/integration/requirements.yml

tests/integration/integration_config.yml:
	chmod +x ./tests/integration/generate_integration_config.sh; \
	./tests/integration/generate_integration_config.sh

# test commands
.PHONY: linters
linters:  ## Run extra linter tests
	@pip install -r linters.requirements.txt; err=0; echo "\nStart tests.\n"; \
	black --check --diff --color . || err=1; \
	if [ "$$err" = 1 ]; then echo "\nAt least one linter failed\n" >&2; exit 1; fi

.PHONY: sanity
sanity: upgrade-collections
	cd ~/.ansible/collections/ansible_collections/vmware/vmware_rest; \
	ansible-test sanity -v --color --coverage --junit --docker default

.PHONY: eco-vcenter-ci
eco-vcenter-ci: tests/integration/integration_config.yml install-integration-reqs upgrade-collections
	cd ~/.ansible/collections/ansible_collections/vmware/vmware_rest; \
	ansible --version; \
	ansible-test --version; \
	ANSIBLE_COLLECTIONS_PATH=~/.ansible/collections/ansible_collections ansible-galaxy collection list; \
	chmod +x tests/integration/run_eco_vcenter_ci.sh; \
	ANSIBLE_ROLES_PATH=~/.ansible/collections/ansible_collections/vmware/vmware_rest/tests/integration/targets \
		ANSIBLE_COLLECTIONS_PATH=~/.ansible/collections/ansible_collections \
		./tests/integration/run_eco_vcenter_ci.sh

=== ansible_collections/cisco/meraki/docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = MerakiAnsibleActions
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== ansible_collections/infoblox/nios_modules/tests/requirements.txt ===
infoblox-client
pytest
pytest-xdist
mock
pytest-mock
pytest-cov==2.8.0
coverage==7.6.1
pygobject
launchpadlib

=== ansible_collections/ovirt/ovirt/.copr/Makefile ===
.PHONY: installdeps srpm

installdeps:
	dnf -y install git python3-devel

srpm: installdeps
	mkdir -p tmp.repos/SOURCES tmp.build
	./build.sh build ovirt tmp.build
	cp tmp.build/ansible_collections/ovirt/ovirt/*.tar.gz ./tmp.repos/SOURCES/
	rpmbuild \
		-D "_topdir tmp.repos" \
		-bs tmp.build/ansible_collections/ovirt/ovirt/ovirt-ansible-collection.spec
	cp tmp.repos/SRPMS/*.src.rpm $(outdir)

=== ansible_collections/amazon/aws/tests/unit/requirements.txt ===
# Our code is based on the AWS SDKs
botocore
boto3

placebo

=== ansible_collections/community/digitalocean/tests/integration/requirements.txt ===
jmespath
boto3

=== ansible_collections/community/hashi_vault/docs/preview/requirements.txt ===
# Copyright (c) Ansible Project
# GNU General Public License v3.0+ (see LICENSES/GPL-3.0-or-later.txt or https://www.gnu.org/licenses/gpl-3.0.txt)
# SPDX-License-Identifier: GPL-3.0-or-later

antsibull-docs >= 2.0.0, < 3.0.0
ansible-pygments
sphinx != 5.2.0.post0  # temporary, see https://github.com/ansible-community/antsibull-docs/issues/39, https://github.com/ansible-community/antsibull-docs/issues/40
sphinx-ansible-theme >= 0.9.0

=== ansible_collections/community/hashi_vault/tests/unit/requirements.txt ===
hvac
urllib3
azure-identity

=== debian/changelog ===
ansible (12.0.0~b5+dfsg-0+deb13u1) trixie; urgency=medium

  * New upstream version 12.0.0~b5+dfsg
  * Update debian/gbp.conf to track trixie branches
  * Change gbp upstream tag as long as upstream version in trixie and sid match
  * Update debian/watch to also catch beta releases
  * Drop community hashi-vault patches (applied upstream)
  * Add 12 previously failing collection CI tests to autopkgtest

 -- Lee Garrett <debian@rocketjump.eu>  Wed, 27 Aug 2025 11:54:39 +0200

=== debian/rules ===
#!/usr/bin/make -f

# Make it easier to build one machines with ansible << 2.10 installed.
export ANSIBLE_SKIP_CONFLICT_CHECK=1

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_clean:
	dh_clean \
		-X.bak \
		-X.md~ \
		-X.j2~ \
		-X.py~ \
		-X.txt~ \
		-X.txt.orig \
		-X.un~ \
		-X.yaml~ \
		-X.yml~

override_dh_auto_test:
	# For now, disable the tests
	#make tests-nonet

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

execute_after_dh_auto_install:
	find debian/ansible/ -depth -name '.git*' -exec rm -r {} +
	find debian/ansible/ -depth -name '.*' -exec rm -r {} +
	find debian/ansible/ -name '*~' -delete
	find debian/ansible/ -name '*.bak' -delete
	find debian/ansible/ -name '*.orig' -delete

=== debian/watch ===
version=4
opts="\
  dversionmangle=s/\+dfsg//,\
  repacksuffix=+dfsg,\
  pgpmode=auto,\
  uversionmangle=s/((?:a|b|rc)[0-9]+)$/~$1/,\
" \
https://pypi.debian.net/ansible/ ansible-([0-9]+\.[0-9]+\.[0-9]+(?:(?:a|b|rc)[0-9]+)?).tar.gz

## ansible 12.0.0%2Bdfsg

=== ansible_collections/theforeman/foreman/requirements.txt ===
requests>=2.4.2
PyYAML

=== ansible_collections/community/zabbix/molecule/requirements.txt ===
# Install CI dependencies for the Zabbix Roles
ansible-core
docker
molecule
netaddr>=1.2.1
pytest
pytest-testinfra

=== ansible_collections/dellemc/powerflex/tests/unit/requirements.txt ===
pytest
pytest-xdist
pytest-mock
pytest-cov
pytest-forked
coverage
mock

=== debian/changelog ===
ansible (12.0.0+dfsg-1) unstable; urgency=medium

  * New upstream version 12.0.0+dfsg
  * Remove cloud-common-flaky-test.patch (collection removed by upstream)

 -- Lee Garrett <debian@rocketjump.eu>  Wed, 10 Sep 2025 12:21:39 +0200

ansible (12.0.0~b5+dfsg-1) unstable; urgency=medium

  * New upstream version 12.0.0~b5+dfsg

 -- Lee Garrett <debian@rocketjump.eu>  Tue, 26 Aug 2025 22:48:37 +0200

## ansible 12.0.0+dfsg

=== ansible_collections/hetzner/hcloud/Makefile ===
--- 
+++ 
@@ -21,6 +21,7 @@
 	venv/bin/antsibull-docs lint-collection-docs \
 		--plugin-docs \
 		--validate-collection-refs self \
+		--check-extra-docs-refs \
 		.
 
 clean:

=== ansible_collections/kubernetes/core/requirements.txt ===
kubernetes>=24.2.0
requests-oauthlib
jsonpatch

=== ansible_collections/vmware/vmware_rest/Makefile ===
--- 
+++ 
@@ -30,6 +30,7 @@
 
 .PHONY: eco-vcenter-ci
 eco-vcenter-ci: tests/integration/integration_config.yml install-integration-reqs upgrade-collections
+	rm -rf ~/.ansible/collections/ansible_collections/cloud/common; \
 	cd ~/.ansible/collections/ansible_collections/vmware/vmware_rest; \
 	ansible --version; \
 	ansible-test --version; \

=== ansible_collections/amazon/aws/tests/integration/requirements.txt ===
# Our code is based on the AWS SDKs
boto3
botocore

# netaddr is needed for ansible.utils.ipv6
netaddr
virtualenv
# Sometimes needed where we don't have features we need in modules
awscli
# Used for comparing SSH Public keys to the Amazon fingerprints
cryptography
# Used for recordings
placebo

=== ansible_collections/ansible/posix/tests/unit/requirements.txt ===
boto3
placebo
pycrypto
passlib
pypsrp
python-memcached
pytz
pyvmomi
redis
requests
setuptools > 0.6 # pytest-xdist installed via requirements does not work with very old setuptools (sanity_ok)
unittest2 ; python_version < '2.7'
importlib ; python_version < '2.7'
netaddr
ipaddress
netapp-lib
solidfire-sdk-python

# requirements for F5 specific modules
f5-sdk ; python_version >= '2.7'
f5-icontrol-rest ; python_version >= '2.7'
deepdiff

# requirement for Fortinet specific modules
pyFMG

# requirement for aci_rest module
xmljson

# requirement for winrm connection plugin tests
pexpect

# requirement for the linode module
linode-python # APIv3
linode_api4 ; python_version > '2.6' # APIv4

# requirement for the gitlab module
python-gitlab
httmock

# requirment for kubevirt modules
openshift ; python_version >= '2.7'

=== ansible_collections/ansible/utils/tests/integration/requirements.txt ===
jsonschema
netaddr
ttp
textfsm

=== ansible_collections/ansible/windows/tests/unit/requirements.txt ===
setuptools > 0.6 # pytest-xdist installed via requirements does not work with very old setuptools (sanity_ok)
unittest2 ; python_version < '2.7'
importlib ; python_version < '2.7'

=== ansible_collections/cisco/mso/tests/sanity/requirements.txt ===
packaging  # needed for update-bundled and changelog
sphinx ; python_version >= '3.5' # docs build requires python 3+
sphinx-notfound-page ; python_version >= '3.5' # docs build requires python 3+
straight.plugin ; python_version >= '3.5' # needed for hacking/build-ansible.py which will host changelog generation and requires python 3+
requests-toolbelt

=== ansible_collections/community/ciscosmb/tests/unit/requirements.txt ===
unittest2 ; python_version <= '2.6'
ordereddict ; python_version <= '2.6'

=== ansible_collections/community/vmware/tests/unit/requirements.txt ===
pyVmomi>=8.0.3.0.1

=== ansible_collections/ibm/storage_virtualize/tests/unit/requirements.txt ===
paramiko
cryptography

=== ansible_collections/infoblox/nios_modules/tests/unit/requirements.txt ===
--- 
+++ 
@@ -5,4 +5,4 @@
 mock
 pytest-mock
 pytest-cov
-coverage==7.3.2
+coverage==7.6.1

=== debian/changelog ===
ansible (12.0.0+dfsg-0+deb13u1) trixie; urgency=medium

  * d/watch: Track 12.0.x releases for trixie
  * New upstream version 12.0.0+dfsg, providing following security fixes:
    - cloudscale_ch.cloud: Validate API tokens before passing them to Ansible,
      to ensure that a badly formed one (i.e., one with newlines) is not
      accidentally logged.
    - community.general: keycloak_authentication - API calls did not properly
      set the priority during update resulting in incorrectly sorted
      authentication flows.
    - community.general: keycloak_client - Sanitize saml.encryption.private.key
      so it does not show in the logs
  * Remove cloud-common-flaky-test.patch (dropped upstream)
  * security fix: prevent keycloak_user from logging credentials (backported
    from ansible 12.2.0)

 -- Lee Garrett <debian@rocketjump.eu>  Fri, 28 Nov 2025 16:56:02 +0100

=== debian/watch ===
version=4
opts="\
  dversionmangle=s/\+dfsg//,\
  repacksuffix=+dfsg,\
  pgpmode=auto,\
  uversionmangle=s/((?:a|b|rc)[0-9]+)$/~$1/,\
" \
https://pypi.debian.net/ansible/ ansible-(12\.0\.[0-9]+(?:(?:a|b|rc)[0-9]+)?).tar.gz

## ansible 12.2.0+dfsg

=== debian/changelog ===
ansible (12.2.0+dfsg-1) unstable; urgency=medium

  * Stay on 12.x branch for now
  * New upstream version 12.2.0+dfsg
    - Fix CVE-2025-14010 (Closes: #1121951)
  * Skip ravendb unit tests; they don't ship the relevant modules used in the
    test.

 -- Lee Garrett <debian@rocketjump.eu>  Fri, 05 Dec 2025 10:10:11 +0100

=== debian/watch ===
version=4
opts="\
  dversionmangle=s/\+dfsg//,\
  repacksuffix=+dfsg,\
  pgpmode=auto,\
  uversionmangle=s/((?:a|b|rc)[0-9]+)$/~$1/,\
" \
https://pypi.debian.net/ansible/ ansible-(12\.[0-9]+\.[0-9]+(?:(?:a|b|rc)[0-9]+)?).tar.gz

## ansible 13.1.0+dfsg

=== ansible_collections/ibm/storage_virtualize/tests/unit/requirements.txt ===
pytest
paramiko
cryptography

=== debian/changelog ===
ansible (13.1.0+dfsg-1) unstable; urgency=medium

  * Track the latest releases again.
  * New upstream version 13.1.0+dfsg

 -- Lee Garrett <debian@rocketjump.eu>  Thu, 18 Dec 2025 19:11:16 +0100

## ansible core-2.19.2

=== test/units/requirements.txt ===
bcrypt ; python_version >= '3.11'  # controller only
passlib ; python_version >= '3.11'  # controller only
pexpect ; python_version >= '3.11'  # controller only
pywinrm ; python_version >= '3.11'  # controller only
typing_extensions; python_version < '3.11'  # some unit tests need Annotated and get_type_hints(include_extras=True)

## ansible events-0.1.1

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = python -msphinx
SPHINXPROJ    = ansible_events
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

## ansible rulebook-0.11.0

=== docs/Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 # You can set these variables from the command line.
 SPHINXOPTS    =
 SPHINXBUILD   = python -msphinx
-SPHINXPROJ    = ansible_events
+SPHINXPROJ    = ansible_rulebook
 SOURCEDIR     = .
 BUILDDIR      = _build
